OTP Hash Group file Init

/hash/group/offline/file/init

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Send initial information for offline hashes using file with user identification. Declaration for identification template will be provided from our integration team.

Valid values:

ParameterValue
"signedfile"File bites. Already signed declaration for identification of the user.
"Documents"
"description"
max chars 4000
"certificateType""integer"
valid values 1 - Qualified еSign (qualified certificate); 2 - Advanced еSign (qualified certificate); 3 - Advanced eSign (advanced certificate);
"coverage"For "certificateType"=1 valid values are: 0, 20000, 100000, 250000.
For "certificateType"=2 valid value is 500
For "certificateType"=3 valid value is 1
The amount is in €.
0 stands for unlimited. 1 stands for no coverage.
"signInfo"
"algorithm"
"SHA256"
"user"If "country"=BG: "documentNumber", "identificationNumber", 3 names

If "country"=MK:
"documentNumber", "identificationNumber", "firstName" and "lastName".

If "country"= (diff than BG, MK):
"documentNumber", "firstName" and "lastName".

"country": Valid values are the ISO 3166-1 alpha-2 codes. Default value is "BG".

"firstName": "[A-Za-z' -]"
"middleName": It’s used only if the country is "BG". Allowed characters "[A-Za-z' -]"
"lastName": "[A-Za-z' -]"
"phone": "+[0-9]"
"email": Optional parameter. If provided the certificate and signed documents will be sent to it.
"language": "bg", "en", "de", "hu", "sq", "ro", "fr", "it", "mk".
"documentType": Valid values are "IDcard", "Passport". Default value is "IDcard".
"smsType"integer
valid values: 1 - code, 2 - link, 3 - code & link
"teenOTP"Optional parameter. Possible values - true, false. If set to "true", additional 'birthDate' must be sent as well.

Additional service, activated upon request, allows issuing of certificate of users >14 <18 years old
"birthDate"Optional parameter (timestamp). If set "teenOTP" to "true", "birthDate" is required.
groupDescriptionmax char 4000
"vendorNumber""string"
"urlCallback"Optional parameter. Only https:// is allowed. It has to be sent a host name if Evrotrust callback API is used.
"publicKey"base64 encoded string of public key, necessary for encryption process
Body Params
signedfile
array of objects
required
signedfile*
json

JSON string with structure
{
"user": {
"country": "string",
"identificationNumber": "string",
"documentNumber": "string", "firstName": "string",
"middleName": "string",
"lastName": "string",
"phone": "string",
"email": "string",
"language": "string",
"documentType": "string",
"teenOTP": "boolean",
"birthDate": 0
},
"documents": [{
"description": "string"
}],
"signInfo": {
"algorithm": "string"
},
"coverage": 0,
"certificateType": 0,
"vendorNumber": "string",
"smsType": 0,
"groupDescription": "string",
"publicKey": "string",
"urlCallback": "string"
}

Headers
string
required

Authorization value.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json